Skip to content
Navigation

Create calendar item link

POST
https://api.sureshake.com/v2/execution/cycles/{cycleId}/calendar/links

Path parameters

  • cycleId
    string
    required
    format: uuid

Request body JSON

Any of the following:

  • object
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      report
      required
    • targetId
      string
      required
      format: uuid
  • object
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      artifact
      required
    • targetId
      string
      required
      format: uuid
  • object
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      initiative
      required
    • targetRef
      string
      required
      maxLength: 500 · minLength: 1
    • label
      string
      required
      maxLength: 500 · minLength: 1
    • targetUrl
      string
      required
      format: uri
  • object
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      external_object
      required
    • targetRef
      string
      required
      maxLength: 500 · minLength: 1
    • label
      string
      required
      maxLength: 500 · minLength: 1
    • targetUrl
      string
      required
      format: uri
  • object
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      meeting
      required
    • targetRef
      string
      required
      maxLength: 500 · minLength: 1
    • label
      string
      required
      maxLength: 500 · minLength: 1
    • targetUrl
      string
      required
      format: uri

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • cycleId
      string
      required
      format: uuid
    • sourceType
      milestone
      or
      commitment
      required
    • sourceId
      string
      required
      format: uuid
    • targetType
      initiative
      or
      report
      or
      artifact
      or
      external_object
      or
      meeting
      required
    • resolution
      canonical
      or
      reference_only
      required
    • targetRef
      string
      required
      maxLength: 500 · minLength: 1
    • label
      string
      required
      maxLength: 500 · minLength: 1
    • targetUrl
      string
      or null
      required
      format: uri
    • active
      boolean
      required
    • addedBy
      string
      required
      minLength: 1
    • addedAt
      string
      required
      format: date-time
    • removedBy
      string
      or null
      required
      minLength: 1
    • removedAt
      string
      or null
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close